#----------------------------------------------------------------------------
# Profile for Realtek media players.
# Asus O!Play, Xtreamer, AC Ryan PlayOn!HD, Brite-view CinemaTube.
# See PS3.conf for a description of all possible configuration options.
#

#------------------------------------------------------------
# General informations / detection

RendererName=Realtek
RendererIcon=realtek.png

#Trace Information from Asus O!Play firmware 1.11 19 Oct 2009
#[New I/O server worker #1-2] TRACE 22:46:50.077 Media renderer was not recognized. HTTP User agent :POSIX UPnP/1.0 Intel MicroStack/1.0.2718, RealtekMediaCenter, DLNADOC/1.50
#[New I/O server worker #1-2] TRACE 23:01:12.406 Media renderer was not recognized. HTTP User agent :RealtekVOD neon/0.27.2

#UserAgent: regular expression to detect the connected renderer
UserAgentSearch=REALTEK

#UserAgentAdditionalHeaders: additional http header for better detection
UserAgentAdditionalHeader=RealtekMediaCenter
UserAgentAdditionalHeaderSearch=RealtekVOD

#Basic capabilities
Video=true
Audio=true
Image=true

#------------------------------------------------------------
# DLNA settings

#Use the DLNA feature seek by time and not by range
SeekByTime=true

#------------------------------------------------------------
# Transcoding/Muxing capabilities
#

#Transcode profiles for video and audio engines
#currently supported: MPEGPSAC3, MPEGTSAC3 or WMV for video, LPCM, WAV or MP3 for audio
TranscodeVideo=MPEGPSAC3
TranscodeAudio=LPCM

#Use default DVD buffer size: false = greater bitrate and faster encoding,
#but can generate incompatible videos, depends of your media renderer
DefaultVBVBufSize=false

#Muxing capabilities: Does the media renderer supports H264 and MPEG2 in a mpegts file ?
MuxH264ToMpegTS=true

#Does the media renderer supports DTS in a mpeg file ?
MuxDTSToMpeg=true

#Does the media renderer supports DTS wrapped into LPCM in a mpeg file ?
WrapDTSIntoPCM=true

#Does the media renderer supports LPCM in a mpeg file ?
MuxLPCMToMpeg=true

#Maximum bitrate supported by the media renderer (0=unlimited)
MaxVideoBitrateMbps=0

#Max Width and Height supported by the media renderer (0=unlimited)
MaxVideoWidth=0
MaxVideoHeight=0

#Does the media renderer supports only H264 L4.1 at most ?
H264Level41Limited=true

#Does music files need to be resampled at 44.1kHz?
TranscodeAudioTo441kHz=false

#Size of the transcoded file (unknown length) sent to the renderer (could determine browsing failure/success)
#Possible values: 
#           -1: Specific value working with the PS3, means perfect transcoding and copying support (it's against the dlna spec though)
#            0: size attribute is NOT sent to the renderer (defaut value if this parameter isn't used)
# 100000000000: 100Gb, if you want to be sure that the media file is not cutted before the end ?
TranscodedVideoFileSize=-1

#------------------------------------------------------------
# Misc Files

# Mime types transforms (oldmime=newmime|olemime2=newmime2|...)
MimeTypesChanges=video/avi=video/x-divx

# Extensions management: no need to put something here, as the server's default configuration is tuned for ps3
# What extensions are forcefully transcoded
TranscodeExtensions=
# What extensions are forcefully streamed as is (and not transcoded)
StreamExtensions=vob,iso,mkv,wmv,avi,xvid,divx,rvb,real,mp4,mp3,flac,fla,dts,ogg,asf,asx,m2v